EDIT - feature request #7704

Dataportal specimen table should be able to show DerivedUnits without a FieldUnit
08/30/2018 08:04 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal

Description

The current implementation of the specimen table works only on FieldUnits. Each row represents a FieldUnit and if extended shows
information about the sub derivatives.

We need to think about a way to also show DerivedUnits that do not have a FieldUnit. This case can happen for type specimens that
were created without a FieldUnit and just associated with a taxon name via a SpecimenTypeDesignation.

Solution as of Sept 7th 2020: For Derived Units which have A) protected titleCache or B) which are without FieldUnit the detail cells
of the table should be joined in order to display the titleCache only.

see #7692#note-3

Related issues:

Related to EDIT - bug #7686: Specimen title cache issues in data portal speci... Closed
Related to EDIT - bug #7692: Empty "Specimens" section Worksforme
Related to EDIT - bug #9213: specimen views 'compressed table' and 'derivate ... Closed
Related to EDIT - task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) Closed
Related to EDIT - bug #8423: OccurrenceServicelmpl.findFieldUnitDTO() fails t... Closed
Related to EDIT - bug #9395: DerivedUnit.collectFieldUnits() and findFieldUni... Closed
Related to EDIT - bug #9397: Derivate tree view must show DerivedUnits even i... Closed

Associated revisions

Revision 25b933c4 - 01/22/2021 11:46 AM - Andreas Kohlbecker

ref #7704, ref #9395 using web-services now returning all root units

Revision 97831084 - 01/25/2021 07:26 PM - Andreas Kohlbecker

fix #7704 fix #9397 adapting specimen tree and table view to cdmlib improvements for complete root unit display

Revision 2¢559f97 - 01/25/2021 08:17 PM - Andreas Kohlbecker

fix #7704 fix #9397 adapting specimen tree and table view to cdmlib improvements for complete root unit display - adapting tests

History

#1 - 08/30/2018 08:04 AM - Patrick Plitzner

- Related to bug #7686: Specimen title cache issues in data portal specimen table added

#2 - 08/30/2018 08:04 AM - Patrick Plitzner
- Related to bug #7692: Empty "Specimens" section added

#3 - 08/30/2018 08:06 AM - Patrick Plitzner

- Description updated

#4 - 08/30/2018 09:46 AM - Andreas Miiller

Patrick Plitzner wrote:

This case can happen for type specimens that were created without a FieldUnit and just associated with a taxon name via a
SpecimenTypeDesignation.
https://dev.e-taxonomy.eu/redmine/issues/7692#note-3

How they are associated does not matter. But it usually happens, if the DerivedUnit is not atomized but has a protected titleCache and therefore does
not need a field unit (field unit data is hidden in the cache). This may happen for types (in future it will not, once the new type modul is available which
will include a cache for type data) or for ordinary Specimen/DerivedUnits.

#5 - 04/21/2020 12:31 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

#6 - 04/21/2020 12:31 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- Priority changed from New to Highest

#7 - 04/21/2020 12:31 PM - Andreas Miuller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

#8 - 09/07/2020 11:19 AM - Andreas Kohlbecker

- Related to bug #9213: specimen views ‘compressed table' and 'derivate tree' fail when no fieldunits exists added

#9 - 09/07/2020 01:31 PM - Andreas Kohlbecker
- Tags set to specimen
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.19

We discussed this topic in the EDIT standup today ... updating the ticket description with the outcome.

#10 - 01/18/2021 11:53 AM - Andreas Kohlbecker
- Related to task #9253: revise OccurrenceServicelmpl.findFieldUnitDTO(..) added

#11 - 01/18/2021 11:53 AM - Andreas Kohlbecker
- Related to bug #8423: OccurrenceServicelmpl.findFieldUnitDTO() fails to merge derivation paths when a FieldUnit has two derivatives added

#12 - 01/18/2021 11:57 AM - Andreas Kohlbecker

- Related to bug #9395: DerivedUnit.collectFieldUnits() and findFieldUnitDTOByAssociatedTaxon() and findByAccessionNumber() in
OccurrenceService to return all root units added

#13 - 01/18/2021 02:16 PM - Andreas Kohlbecker

- Tags changed from specimen to specimen, specimens-view-table

#14 - 01/18/2021 02:19 PM - Andreas Kohlbecker

- Related to bug #9397: Derivate tree view must show DerivedUnits even if the FieldUnit is missing added

#15 - 01/25/2021 07:26 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|9783f0849a4b549f3b1513211011f4eb16c01eac.

#16 - 01/27/2021 03:21 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
